//  MenuDiagram  MenuDiagramItem 
import java.awt.*;


// MenuDiagram
public class MenuDiagram
{


//   MenuDiagramItem
	MenuDiagramItem val[];
	int num;


//
	MenuDiagram(int num)
	{
		this.num=num;
		val=new MenuDiagramItem[num];
	}


//
	public void draw(Graphics g)
	{
		for (int i=0; i<num; i++)
			val[i].draw(g);
	}


//  
	public void unselAll()
	{
		for (int i=0; i<num; i++)
			val[i].sel=false;
	}

}


// MenuDiagramItem
class MenuDiagramItem
{
	int x,y,dx,dy;
	boolean sel;
	String val;


//
	MenuDiagramItem(int x, int y, int dx, int dy, String val)
	{
		this.x=x;
		this.y=y;
		this.dx=dx;
		this.dy=dy;
		this.val=val;
		sel=false;
	}


//
	public void draw(Graphics g)
	{
		if (sel) g.setColor(Color.green);
		else g.setColor(Color.yellow);
		g.fillRect(x,y,dx,dy);
		g.setColor(Color.black);
		g.drawRect(x,y,dx,dy);
		g.drawString(""+val,x+10,y+(int)(dy/2)+5);

	}
};